Summary: Cleans up files in directories based on their age
Name: tmpwatch
Version: 1.2
Release: PHH3
Source: tmpwatch-1.2.tar.gz
Copyright: GPL
Group: Utilities/System
BuildRoot: /tmp/tmpwatch-root
Patch0: tmpwatch-flags.patch

%description
This package provides a program that can be used to clean out directories. It
recursively searches the directory (ignoring symlinks) and removes files that
haven't been accessed in a user-specified amount of time.

%changelog

* Mon Sep 8 1997 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>

- Insert missing 'break' so that -v doesn't imply -test.

* Sun Sep 7 1997 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>

- Pass the flags argument from main() to cleanupDirectory().
  Otherwise the --force option doesn't do anything.
- Changed release tag to PHH2 as not to imply that this is a Red Hat release.

* Mon Mar 24 1997 Erik Troan <ewt@redhat.com>

- Don't follow symlinks which are specified on the command line
- Added a man page

* Sun Mar 09 1997 Erik Troan <ewt@redhat.com>

Rebuilt to get right permissions on the Alpha (though I have no idea
how they ended up wrong).

%prep
%setup -n tmpwatch
%patch0 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

make PREFIX="$RPM_BUILD_ROOT" install

%clean

if [ $RPM_BUILD_ROOT != "/" ] ; then
    rm -rf $RPM_BUILD_ROOT
fi

%files
%attr(0755,root,root) /usr/sbin/tmpwatch
%attr(0644,root,root) /usr/man/man8/tmpwatch.8
